# Shower HTML presentation engine

Follow [@shower_me](https://twitter.com/shower_me) for support and updates

To see Shower in action:

- Open [shwr.me](http://shwr.me/)
- Click any slide to enter presentation mode
- Use arrow keys or presenter remote to navigate
- Press `Esc` to exit presentation mode

See [Shortcuts](https://github.com/shower/shower/wiki/Shortcuts) wiki page for more info on how to control your presentation, [Print](https://github.com/shower/shower/wiki/Print) on how to print your presentation to PDF and [the rest of the Wiki](https://github.com/shower/shower/wiki) for more information about Shower in English and Russian.

## Using Shower

There are two ways of starting with Shower: simple and advanced.

### Simple way

1. Download [shower.zip](http://shwr.me/shower.zip) and unzip it
2. Open `index.html` in any code or plain text editor, edit your slides in HTML
3. Use `picture` folder to store pictures used in presentation
4. Once finished, open `index.html` in browser, enter full screen and start presenting

See [Quick Start](https://github.com/shower/shower/wiki/Quick-Start) page for more details.

### Advanced way

This way requires [Git](http://git-scm.com) and [Node.js](http://nodejs.org) with npm installed.

1. Clone Shower repository `git clone git@github.com:shower/shower.git` or download [shower-npm.zip](http://shwr.me/shower-npm.zip)
2. Run `npm install` inside folder to install script and themes
3. Open `index.html` in any code or plain text editor, edit your slides in HTML
4. Use `picture` folder to store pictures used in presentation
5. Once finished, open `index.html` in browser, enter full screen and start presenting

See [Quick Start](https://github.com/shower/shower/wiki/Quick-Start) page for more details.

## Usage examples

- [Clear and Sharp](http://pepelsbey.net/pres/clear-and-sharp/)
- [CSS Management](http://pepelsbey.net/pres/knife-train/)
- [Push it!](http://pepelsbey.net/pres/push-it/)
- [Pre-fixes](http://pepelsbey.net/pres/pre-fixes/)
- [Web In Curves](http://pepelsbey.net/pres/web-in-curves/)
- [Sense Coding](http://pepelsbey.net/pres/sense-coding/)

## Browser support

Latest stable versions of Chrome, Internet Explorer, Firefox, Opera and Safari are supported.

## Contributing

You’re always welcome to contibute. Fork project, make changes and send it as pull request. But it’s better to file an [issue](https://github.com/shower/shower/issues) with your idea first. Read [contributing rules](https://github.com/shower/shower/blob/master/Contributing.md) for more details.

Main contributors: [pepelsbey](https://github.com/pepelsbey), [jahson](https://github.com/jahson), [miripiruni](https://github.com/miripiruni), [kizu](https://github.com/kizu), [artpolikarpov](https://github.com/artpolikarpov), [tonyganch](https://github.com/tonyganch).

---
Licensed under [MIT License](http://en.wikipedia.org/wiki/MIT_License), see [license page](https://github.com/shower/shower/wiki/MIT-License) for details.